'use strict';

cc.Class({
    extends: cc.Component,

    properties: {
        label: {
            default: null,
            type: cc.Label
        },
        // defaults, set visually when attaching this script to the Canvas
        text: 'Hello, World!',
        textNode: cc.Node
    },

    // use this for initialization
    onLoad: function onLoad() {
        this.label.string = this.text;

        this.textNode.active = false;
        setTimeout(function () {
            this.textNode.active = true;
        }.bind(this), 2000);
    },

    // called every frame
    update: function update(dt) {}
});